"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const css_selector_resolver_1 = require("./resolver/css-selector-resolver");
exports.ResolvedSelector = css_selector_resolver_1.ResolvedSelector;
const scss_selector_resolver_1 = require("./resolver/scss-selector-resolver");
const utils_1 = require("../utils");
const RESOLVERS = {
    scss: scss_selector_resolver_1.SCSSSelectorResolver,
    css: css_selector_resolver_1.CSSSelectorResolver,
};
function getResolvedSelectors(style) {
    if (!style.cssNode) {
        return [];
    }
    const lang = style.lang;
    const Resolver = utils_1.isSupportedStyleLang(lang)
        ? RESOLVERS[lang]
        : css_selector_resolver_1.CSSSelectorResolver;
    return new Resolver().resolveSelectors(style.cssNode);
}
exports.getResolvedSelectors = getResolvedSelectors;
